Package org.opencv.xfeatures2d

## Class VGG

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.features.Feature2D
    - - org.opencv.xfeatures2d.VGG

-     public class VGG
      extends Feature2D

  Class implementing VGG (Oxford Visual Geometry Group) descriptor trained end to end using "Descriptor Learning Using Convex Optimisation" (DLCO) aparatus described in CITE: Simonyan14. desc type of descriptor to use, VGG::VGG_120 is default (120 dimensions float) Available types are VGG::VGG_120, VGG::VGG_80, VGG::VGG_64, VGG::VGG_48 isigma gaussian kernel value for image blur (default is 1.4f) img_normalize use image sample intensity normalization (enabled by default) use_orientation sample patterns using keypoints orientation, enabled by default scale_factor adjust the sampling window of detected keypoints to 64.0f (VGG sampling window) 6.25f is default and fits for KAZE, SURF detected keypoints window ratio 6.75f should be the scale for SIFT detected keypoints window ratio 5.00f should be the scale for AKAZE, MSD, AGAST, FAST, BRISK keypoints window ratio 0.75f should be the scale for ORB keypoints ratio dsc_normalize clamp descriptors to 255 and convert to uchar CV_8UC1 (disabled by default)

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `VGG​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VGG` | `__fromPtr__​(long addr)` |
    `static VGG` | `create()` |
    `static VGG` | `create​(int desc)` |
    `static VGG` | `create​(int desc, float isigma)` |
    `static VGG` | `create​(int desc, float isigma, boolean img_normalize)` |
    `static VGG` | `create​(int desc, float isigma, boolean img_normalize, boolean use_scale_orientation)` |
    `static VGG` | `create​(int desc, float isigma, boolean img_normalize, boolean use_scale_orientation, float scale_factor)` |
    `static VGG` | `create​(int desc, float isigma, boolean img_normalize, boolean use_scale_orientation, float scale_factor, boolean dsc_normalize)` |
    `protected void` | `finalize()` |
    `java.lang.String` | `getDefaultName()` | Returns the algorithm string identifier.
    `float` | `getScaleFactor()` |
    `float` | `getSigma()` |
    `boolean` | `getUseNormalizeDescriptor()` |
    `boolean` | `getUseNormalizeImage()` |
    `boolean` | `getUseScaleOrientation()` |
    `void` | `setScaleFactor​(float scale_factor)` |
    `void` | `setSigma​(float isigma)` |
    `void` | `setUseNormalizeDescriptor​(boolean dsc_normalize)` |
    `void` | `setUseNormalizeImage​(boolean img_normalize)` |
    `void` | `setUseScaleOrientation​(boolean use_scale_orientation)` |

    - ### Methods inherited from class org.opencv.features.Feature2D

      `compute, compute, defaultNorm, descriptorSize, descriptorType, detect, detect, detect, detect, detectAndCompute, detectAndCompute, empty, read, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VGG

          protected VGG​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static VGG __fromPtr__​(long addr)

    - #### create

          public static VGG create​(int desc,
                                   float isigma,
                                   boolean img_normalize,
                                   boolean use_scale_orientation,
                                   float scale_factor,
                                   boolean dsc_normalize)

    - #### create

          public static VGG create​(int desc,
                                   float isigma,
                                   boolean img_normalize,
                                   boolean use_scale_orientation,
                                   float scale_factor)

    - #### create

          public static VGG create​(int desc,
                                   float isigma,
                                   boolean img_normalize,
                                   boolean use_scale_orientation)

    - #### create

          public static VGG create​(int desc,
                                   float isigma,
                                   boolean img_normalize)

    - #### create

          public static VGG create​(int desc,
                                   float isigma)

    - #### create

          public static VGG create​(int desc)

    - #### create

          public static VGG create()

    - #### getDefaultName

          public java.lang.String getDefaultName()

      Description copied from class: `Algorithm`
      Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string.
      Overrides:
        `getDefaultName` in class `Feature2D`
      Returns:
        automatically generated

    - #### setSigma

          public void setSigma​(float isigma)

    - #### getSigma

          public float getSigma()

    - #### setUseNormalizeImage

          public void setUseNormalizeImage​(boolean img_normalize)

    - #### getUseNormalizeImage

          public boolean getUseNormalizeImage()

    - #### setUseScaleOrientation

          public void setUseScaleOrientation​(boolean use_scale_orientation)

    - #### getUseScaleOrientation

          public boolean getUseScaleOrientation()

    - #### setScaleFactor

          public void setScaleFactor​(float scale_factor)

    - #### getScaleFactor

          public float getScaleFactor()

    - #### setUseNormalizeDescriptor

          public void setUseNormalizeDescriptor​(boolean dsc_normalize)

    - #### getUseNormalizeDescriptor

          public boolean getUseNormalizeDescriptor()

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Feature2D`
      Throws:
        `java.lang.Throwable`